package util

import groovy.transform.CompileStatic

@CompileStatic
class ScriptLog {
    static void printf(Object text, Object... args) {
        def scriptPrefix = new Throwable().getStackTrace()
            .stream()
                .map { it.className }
                .filter { it != null }
                .map { it.split("\\.").last() }
                .filter { it.isNotNullOrBlank() && it.charAt(0).isLowerCase() }
                .toList()
            .lastOrNull() ?: "ci script"

        println "[${scriptPrefix}]: ${String.format(String.valueOf(text), args)}"
    }
}
